< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package metadata_ds_dms
  Definition Classes
    wco
-  package _2
  Definition Classes
    metadata_ds_dms
- MetaDataAgencyAssignedCustomizationCodeType
- MetaDataAgencyAssignedCustomizationVersionCodeType
- MetaDataResponsibleAgencyNameTextType
- MetaDataResponsibleCountryCodeType
- MetaDataWCODataModelVersionCodeType
- MetaDataWCOTypeNameTextType
- ObjectFactory

c

wco.datamodel.wco.metadata_ds_dms._2

# MetaDataAgencyAssignedCustomizationCodeType 

###

#### class MetaDataAgencyAssignedCustomizationCodeType extends AnyRef

Java class for MetaDataAgencyAssignedCustomizationCodeType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="MetaDataAgencyAssignedCustomizationCodeType">
      <simpleContent>
        <extension base="<http://www.w3.org/2001/XMLSchema>token">
          <attribute name="listID" type="{http://www.w3.org/2001/XMLSchema}token" />
          <attribute name="listAgencyID" type="{urn:un:unece:uncefact:codelist:standard:UNECE:AgencyIdentificationCode:D12B}AgencyIdentificationCodeContentType" />
          <attribute name="listAgencyName" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="listName" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="listVersionID" type="{http://www.w3.org/2001/XMLSchema}token" />
          <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="languageID" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="listURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
          <attribute name="listSchemeURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
        </extension>
      </simpleContent>
    </complexType>

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaDataAgencyAssignedCustomizationCodeType
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MetaDataAgencyAssignedCustomizationCodeType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getLanguageID(): String

    Gets the value of the languageID property.

    Gets the value of the languageID property.

    returns

      possible object is ``

11.  def getListAgencyID(): String

    Gets the value of the listAgencyID property.

    Gets the value of the listAgencyID property.

    returns

      possible object is ``

12.  def getListAgencyName(): String

    Gets the value of the listAgencyName property.

    Gets the value of the listAgencyName property.

    returns

      possible object is ``

13.  def getListID(): String

    Gets the value of the listID property.

    Gets the value of the listID property.

    returns

      possible object is ``

14.  def getListName(): String

    Gets the value of the listName property.

    Gets the value of the listName property.

    returns

      possible object is ``

15.  def getListSchemeURI(): String

    Gets the value of the listSchemeURI property.

    Gets the value of the listSchemeURI property.

    returns

      possible object is ``

16.  def getListURI(): String

    Gets the value of the listURI property.

    Gets the value of the listURI property.

    returns

      possible object is ``

17.  def getListVersionID(): String

    Gets the value of the listVersionID property.

    Gets the value of the listVersionID property.

    returns

      possible object is ``

18.  def getName(): String

    Gets the value of the name property.

    Gets the value of the name property.

    returns

      possible object is ``

19.  def getValue(): String

    Gets the value of the value property.

    Gets the value of the value property.

    returns

      possible object is ``

20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def setLanguageID(value: String): Unit

    Sets the value of the languageID property.

    Sets the value of the languageID property.

    value

      allowed object is ``

26.  def setListAgencyID(value: String): Unit

    Sets the value of the listAgencyID property.

    Sets the value of the listAgencyID property.

    value

      allowed object is ``

27.  def setListAgencyName(value: String): Unit

    Sets the value of the listAgencyName property.

    Sets the value of the listAgencyName property.

    value

      allowed object is ``

28.  def setListID(value: String): Unit

    Sets the value of the listID property.

    Sets the value of the listID property.

    value

      allowed object is ``

29.  def setListName(value: String): Unit

    Sets the value of the listName property.

    Sets the value of the listName property.

    value

      allowed object is ``

30.  def setListSchemeURI(value: String): Unit

    Sets the value of the listSchemeURI property.

    Sets the value of the listSchemeURI property.

    value

      allowed object is ``

31.  def setListURI(value: String): Unit

    Sets the value of the listURI property.

    Sets the value of the listURI property.

    value

      allowed object is ``

32.  def setListVersionID(value: String): Unit

    Sets the value of the listVersionID property.

    Sets the value of the listVersionID property.

    value

      allowed object is ``

33.  def setName(value: String): Unit

    Sets the value of the name property.

    Sets the value of the name property.

    value

      allowed object is ``

34.  def setValue(value: String): Unit

    Sets the value of the value property.

    Sets the value of the value property.

    value

      allowed object is ``

35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped